#ifndef XSTREAMFILEINFO_H
#define XSTREAMFILEINFO_H

#include "xasset.h"
#include "xstreamfilenamepacked.h"
#include "xstreamfilenameraw.h"

class XStreamFileInfo : public XAsset
{
public:
    XStreamFileInfo();
    ~XStreamFileInfo();

    virtual void Clear() override;
    virtual void ParseData(QDataStream* aStream) override;

private:
    XStreamFileNameRaw mRaw;
    XStreamFileNamePacked mPacked;
};

#endif // XSTREAMFILEINFO_H
